Index: /code/branches/presentation2/src/modules/objects/eventsystem/EventTarget.cc
===================================================================
--- /code/branches/presentation2/src/modules/objects/eventsystem/EventTarget.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/objects/eventsystem/EventTarget.cc	(revision 6394)
@@ -60,5 +60,5 @@
         if (this->bActive_)
         {
-            COUT(2) << "Warning: Detected Event loop in EventTarget \"" << this->getName() << "\"" << std::endl;
+            COUT(2) << "Warning: Detected Event loop in EventTarget \"" << this->getName() << '"' << std::endl;
             return;
         }
@@ -80,5 +80,5 @@
     void EventTarget::loadedNewXMLName(BaseObject* object)
     {
-        if (this->target_ == "")
+        if (this->target_.empty())
             return;
 
Index: /code/branches/presentation2/src/modules/objects/triggers/DistanceTrigger.cc
===================================================================
--- /code/branches/presentation2/src/modules/objects/triggers/DistanceTrigger.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/objects/triggers/DistanceTrigger.cc	(revision 6394)
@@ -92,5 +92,5 @@
     if (!targetId)
     {
-        COUT(1) << "Error: \"" << targets << "\" is not a valid class name to include in ClassTreeMask (in " << this->getName() << ", class " << this->getIdentifier()->getName() << ")" << std::endl;
+        COUT(1) << "Error: \"" << targets << "\" is not a valid class name to include in ClassTreeMask (in " << this->getName() << ", class " << this->getIdentifier()->getName() << ')' << std::endl;
         return;
     }
Index: /code/branches/presentation2/src/modules/objects/triggers/Trigger.cc
===================================================================
--- /code/branches/presentation2/src/modules/objects/triggers/Trigger.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/objects/triggers/Trigger.cc	(revision 6394)
@@ -280,11 +280,11 @@
   {
     if (this->mode_ == TriggerMode::EventTriggerAND)
-      return std::string("and");
+      return "and";
     else if (this->mode_ == TriggerMode::EventTriggerOR)
-      return std::string("or");
+      return "or";
     else if (this->mode_ == TriggerMode::EventTriggerXOR)
-      return std::string("xor");
+      return "xor";
     else
-      return std::string("and");
+      return "and";
   }
 
Index: /code/branches/presentation2/src/modules/overlays/GUIOverlay.cc
===================================================================
--- /code/branches/presentation2/src/modules/overlays/GUIOverlay.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/overlays/GUIOverlay.cc	(revision 6394)
@@ -69,8 +69,7 @@
         if (this->isVisible())
         {
-            std::string str;
-            std::stringstream out;
+            std::ostringstream out;
             out << reinterpret_cast<long>(this);
-            str = out.str();
+            const std::string& str = out.str();
             COUT(1) << "GUIManager ptr: " << str << std::endl;
             GUIManager::getInstance().showGUIExtra(this->guiName_, str);
Index: /code/branches/presentation2/src/modules/overlays/OverlayText.cc
===================================================================
--- /code/branches/presentation2/src/modules/overlays/OverlayText.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/overlays/OverlayText.cc	(revision 6394)
@@ -134,5 +134,5 @@
     void OverlayText::setFont(const std::string& font)
     {
-        if (font != "")
+        if (!font.empty())
             this->text_->setFontName(font);
     }
Index: /code/branches/presentation2/src/modules/overlays/hud/HUDBar.cc
===================================================================
--- /code/branches/presentation2/src/modules/overlays/hud/HUDBar.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/overlays/hud/HUDBar.cc	(revision 6394)
@@ -72,5 +72,5 @@
 
         // create new material
-        std::string materialname = "barmaterial" + multi_cast<std::string>(materialcount_s++);
+        const std::string& materialname = "barmaterial" + multi_cast<std::string>(materialcount_s++);
         Ogre::MaterialPtr material = static_cast<Ogre::MaterialPtr>(Ogre::MaterialManager::getSingleton().create(materialname, "General"));
         material->getTechnique(0)->getPass(0)->setSceneBlending(Ogre::SBT_TRANSPARENT_ALPHA);
Index: /code/branches/presentation2/src/modules/overlays/hud/HUDHealthBar.h
===================================================================
--- /code/branches/presentation2/src/modules/overlays/hud/HUDHealthBar.h	(revision 6393)
+++ /code/branches/presentation2/src/modules/overlays/hud/HUDHealthBar.h	(revision 6394)
@@ -53,5 +53,5 @@
 
             inline void setTextFont(const std::string& font)
-                { if (font != "") { this->textoverlay_->setFont(font); } }
+                { if (!font.empty()) { this->textoverlay_->setFont(font); } }
             inline const std::string& getTextFont() const
                 { return this->textoverlay_->getFont(); }
Index: /code/branches/presentation2/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- /code/branches/presentation2/src/modules/overlays/hud/HUDNavigation.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/overlays/hud/HUDNavigation.cc	(revision 6394)
@@ -36,5 +36,4 @@
 
 #include "util/Math.h"
-#include "util/StringUtils.h"
 #include "util/Convert.h"
 #include "core/CoreIncludes.h"
@@ -108,5 +107,5 @@
     void HUDNavigation::setFont(const std::string& font)
     {
-        if (this->navText_ && font != "")
+        if (this->navText_ && !font.empty())
             this->navText_->setFontName(font);
     }
Index: /code/branches/presentation2/src/modules/overlays/hud/HUDRadar.cc
===================================================================
--- /code/branches/presentation2/src/modules/overlays/hud/HUDRadar.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/overlays/hud/HUDRadar.cc	(revision 6394)
@@ -126,5 +126,5 @@
             panel = *itRadarDots_;
             ++itRadarDots_;
-            std::string materialName = TextureGenerator::getMaterialName(
+            const std::string& materialName = TextureGenerator::getMaterialName(
                 shapeMaterials_[object->getRadarObjectShape()], object->getRadarObjectColour());
             if (materialName != panel->getMaterialName())
Index: /code/branches/presentation2/src/modules/overlays/hud/TeamBaseMatchScore.cc
===================================================================
--- /code/branches/presentation2/src/modules/overlays/hud/TeamBaseMatchScore.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/overlays/hud/TeamBaseMatchScore.cc	(revision 6394)
@@ -71,9 +71,9 @@
         if (this->owner_)
         {
-            std::string bases1 = "(" + multi_cast<std::string>(this->owner_->getTeamBases(0)) + ")";
-            std::string bases2 = "(" + multi_cast<std::string>(this->owner_->getTeamBases(1)) + ")";
+            const std::string& bases1 = '(' + multi_cast<std::string>(this->owner_->getTeamBases(0)) + ')';
+            const std::string& bases2 = '(' + multi_cast<std::string>(this->owner_->getTeamBases(1)) + ')';
 
-            std::string score1 = multi_cast<std::string>(this->owner_->getTeamPoints(0));
-            std::string score2 = multi_cast<std::string>(this->owner_->getTeamPoints(1));
+            const std::string& score1 = multi_cast<std::string>(this->owner_->getTeamPoints(0));
+            const std::string& score2 = multi_cast<std::string>(this->owner_->getTeamPoints(1));
 
             std::string output1;
@@ -99,9 +99,9 @@
             }
 
-            std::string output = "";
+            std::string output;
             if (this->bShowBases_ || this->bShowScore_)
             {
                 if (this->bShowLeftTeam_ && this->bShowRightTeam_)
-                    output = output1 + ":" + output2;
+                    output = output1 + ':' + output2;
                 else if (this->bShowLeftTeam_ || this->bShowRightTeam_)
                     output = output1 + output2;
Index: /code/branches/presentation2/src/modules/pong/PongScore.cc
===================================================================
--- /code/branches/presentation2/src/modules/pong/PongScore.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/pong/PongScore.cc	(revision 6394)
@@ -77,6 +77,6 @@
             std::string name2;
 
-            std::string score1 = "0";
-            std::string score2 = "0";
+            std::string score1("0");
+            std::string score2("0");
 
             if (player1)
@@ -114,9 +114,9 @@
             }
 
-            std::string output = "PONG";
+            std::string output("PONG");
             if (this->bShowName_ || this->bShowScore_)
             {
                 if (this->bShowLeftPlayer_ && this->bShowRightPlayer_)
-                    output = output1 + ":" + output2;
+                    output = output1 + ':' + output2;
                 else if (this->bShowLeftPlayer_ || this->bShowRightPlayer_)
                     output = output1 + output2;
Index: /code/branches/presentation2/src/modules/questsystem/QuestDescription.cc
===================================================================
--- /code/branches/presentation2/src/modules/questsystem/QuestDescription.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/questsystem/QuestDescription.cc	(revision 6394)
@@ -50,7 +50,4 @@
     {
         RegisterObject(QuestDescription);
-
-        this->title_ = "";
-        this->description_ = "";
     }
 
@@ -94,8 +91,8 @@
     bool QuestDescription::notificationHelper(const std::string & item, const std::string & status) const
     {
-        std::string message = "";
+        std::string message;
         if(item == "hint")
         {
-            message = "You received a hint: '" + this->title_ + "'";
+            message = "You received a hint: '" + this->title_ + '\'';
         }
         else if(item == "quest")
@@ -103,13 +100,13 @@
             if(status == "start")
             {
-                message = "You received a new quest: '" + this->title_ + "'";
+                message = "You received a new quest: '" + this->title_ + '\'';
             }
             else if(status == "fail")
             {
-                message = "You failed the quest: '" + this->title_ + "'";
+                message = "You failed the quest: '" + this->title_ + '\'';
             }
             else if(status == "complete")
             {
-                message = "You successfully completed the quest: '" + this->title_ + "'";
+                message = "You successfully completed the quest: '" + this->title_ + '\'';
             }
             else
Index: /code/branches/presentation2/src/modules/questsystem/QuestGUINode.cc
===================================================================
--- /code/branches/presentation2/src/modules/questsystem/QuestGUINode.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/questsystem/QuestGUINode.cc	(revision 6394)
@@ -134,9 +134,9 @@
         if(this->window_ != NULL)
         {
-            buffer = (std::string)(this->window_->getName().c_str());
+            buffer = this->window_->getName().c_str();
         }
         else
         {
-            buffer = "";
+            buffer.erase();
         }
     }
@@ -187,5 +187,5 @@
                 CEGUI::Window* statusWindow = this->gui_->getWindowManager()->createWindow("TaharezLook/StaticText", stream.str());
                 window->addChildWindow(statusWindow);
-                std::string status = "";
+                std::string status;
                 if(quest->isActive(this->gui_->getPlayer()))
                 {
Index: /code/branches/presentation2/src/modules/questsystem/QuestItem.cc
===================================================================
--- /code/branches/presentation2/src/modules/questsystem/QuestItem.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/questsystem/QuestItem.cc	(revision 6394)
@@ -47,6 +47,4 @@
     {
         RegisterObject(QuestItem);
-
-        this->id_ = "";
     }
 
Index: /code/branches/presentation2/src/modules/questsystem/QuestNotification.cc
===================================================================
--- /code/branches/presentation2/src/modules/questsystem/QuestNotification.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/questsystem/QuestNotification.cc	(revision 6394)
@@ -32,5 +32,5 @@
 namespace orxonox {
 
-    const std::string QuestNotification::SENDER = "questsystem";
+    const std::string QuestNotification::SENDER("questsystem");
 
     QuestNotification::QuestNotification(BaseObject* creator) : Notification(creator)
Index: /code/branches/presentation2/src/modules/questsystem/notifications/Notification.cc
===================================================================
--- /code/branches/presentation2/src/modules/questsystem/notifications/Notification.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/questsystem/notifications/Notification.cc	(revision 6394)
@@ -75,5 +75,5 @@
     void Notification::initialize(void)
     {
-        this->message_ = "";
+        this->message_.clear();
         this->sender_ = NotificationManager::NONE;
         this->sent_ = false;
Index: /code/branches/presentation2/src/modules/questsystem/notifications/NotificationManager.cc
===================================================================
--- /code/branches/presentation2/src/modules/questsystem/notifications/NotificationManager.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/questsystem/notifications/NotificationManager.cc	(revision 6394)
@@ -44,6 +44,6 @@
 {
 
-    const std::string NotificationManager::ALL = "all";
-    const std::string NotificationManager::NONE = "none";
+    const std::string NotificationManager::ALL("all");
+    const std::string NotificationManager::NONE("none");
 
     ManageScopedSingleton(NotificationManager, ScopeID::Root, false);
Index: /code/branches/presentation2/src/modules/questsystem/notifications/NotificationQueue.cc
===================================================================
--- /code/branches/presentation2/src/modules/questsystem/notifications/NotificationQueue.cc	(revision 6393)
+++ /code/branches/presentation2/src/modules/questsystem/notifications/NotificationQueue.cc	(revision 6394)
@@ -46,7 +46,7 @@
     CreateFactory(NotificationQueue);
 
-    const std::string NotificationQueue::DEFAULT_FONT = "VeraMono";
-    const Vector2 NotificationQueue::DEFAULT_POSITION = Vector2(0.0,0.0);
-    const float NotificationQueue::DEFAULT_FONT_SIZE  = 0.025f;
+    const std::string NotificationQueue::DEFAULT_FONT("VeraMono");
+    const Vector2 NotificationQueue::DEFAULT_POSITION(0.0,0.0);
+    const float NotificationQueue::DEFAULT_FONT_SIZE = 0.025f;
 
     /**
@@ -271,5 +271,5 @@
             if(!first)
             {
-                *string += ",";
+                *string += ',';
             }
             else
@@ -300,5 +300,5 @@
         while( index < targets.size() ) //!< Go through the string, character by character until the end is reached.
         {
-            pTemp = new std::string("");
+            pTemp = new std::string();
             while(index < targets.size() && targets[index] != ',' && targets[index] != ' ')
             {
@@ -399,5 +399,5 @@
         std::ostringstream stream;
         stream << reinterpret_cast<unsigned long>(notification);
-        std::string addressString = stream.str() ;
+        const std::string& addressString = stream.str();
         container->name = "NotificationOverlay(" + timeString + ")&" + addressString;
 
Index: /code/branches/presentation2/src/orxonox/Level.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/Level.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/Level.cc	(revision 6394)
@@ -141,5 +141,5 @@
     void Level::playerEntered(PlayerInfo* player)
     {
-        COUT(3) << "player entered level (id: " << player->getClientID() << ", name: " << player->getName() << ")" << std::endl;
+        COUT(3) << "player entered level (id: " << player->getClientID() << ", name: " << player->getName() << ')' << std::endl;
         player->setGametype(this->getGametype());
     }
@@ -147,5 +147,5 @@
     void Level::playerLeft(PlayerInfo* player)
     {
-        COUT(3) << "player left level (id: " << player->getClientID() << ", name: " << player->getName() << ")" << std::endl;
+        COUT(3) << "player left level (id: " << player->getClientID() << ", name: " << player->getName() << ')' << std::endl;
         player->setGametype(0);
     }
Index: /code/branches/presentation2/src/orxonox/LevelManager.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/LevelManager.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/LevelManager.cc	(revision 6394)
@@ -122,8 +122,8 @@
     }
 
-    std::string LevelManager::getAvailableLevelListItem(unsigned int index) const
+    const std::string& LevelManager::getAvailableLevelListItem(unsigned int index) const
     {
         if (index >= availableLevels_.size())
-            return std::string();
+            return BLANKSTRING;
         else
             return availableLevels_[index];
Index: /code/branches/presentation2/src/orxonox/LevelManager.h
===================================================================
--- /code/branches/presentation2/src/orxonox/LevelManager.h	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/LevelManager.h	(revision 6394)
@@ -60,5 +60,5 @@
             const std::string& getDefaultLevel() const; //tolua_export
             void compileAvailableLevelList(); //tolua_export
-            std::string getAvailableLevelListItem(unsigned int index) const; //tolua_export
+            const std::string& getAvailableLevelListItem(unsigned int index) const; //tolua_export
 
             static LevelManager* getInstancePtr() { return singletonPtr_s; }
Index: /code/branches/presentation2/src/orxonox/Radar.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/Radar.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/Radar.cc	(revision 6394)
@@ -85,5 +85,5 @@
     }
 
-    RadarViewable::Shape Radar::addObjectDescription(const std::string name)
+    RadarViewable::Shape Radar::addObjectDescription(const std::string& name)
     {
         std::map<std::string, RadarViewable::Shape>::iterator it = this->objectTypes_.find(name);
Index: /code/branches/presentation2/src/orxonox/Radar.h
===================================================================
--- /code/branches/presentation2/src/orxonox/Radar.h	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/Radar.h	(revision 6394)
@@ -55,5 +55,5 @@
 
         const RadarViewable* getFocus();
-        RadarViewable::Shape addObjectDescription(const std::string name);
+        RadarViewable::Shape addObjectDescription(const std::string& name);
 
         void listObjects() const;
Index: /code/branches/presentation2/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/gamestates/GSLevel.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/gamestates/GSLevel.cc	(revision 6394)
@@ -154,5 +154,5 @@
             if (find == this->staticObjects_.end())
             {
-                COUT(3) << ++i << ": " << it->getIdentifier()->getName() << " (" << *it << ")" << std::endl;
+                COUT(3) << ++i << ": " << it->getIdentifier()->getName() << " (" << *it << ')' << std::endl;
             }
         }
Index: /code/branches/presentation2/src/orxonox/gametypes/Asteroids.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/gametypes/Asteroids.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/gametypes/Asteroids.cc	(revision 6394)
@@ -72,5 +72,5 @@
         Gametype::start();
 
-        std::string message = "The match has started! Reach the first chekpoint within 15 seconds! But be aware, there may be pirates around...";
+        std::string message("The match has started! Reach the first chekpoint within 15 seconds! But be aware, there may be pirates around...");
         COUT(0) << message << std::endl;
         Host::Broadcast(message);
@@ -81,5 +81,5 @@
         Gametype::end();
 
-        std::string message = "The match has ended.";
+        std::string message("The match has ended.");
         COUT(0) << message << std::endl;
         Host::Broadcast(message);
Index: /code/branches/presentation2/src/orxonox/gametypes/Deathmatch.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/gametypes/Deathmatch.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/gametypes/Deathmatch.cc	(revision 6394)
@@ -47,5 +47,5 @@
         Gametype::start();
 
-        std::string message = "The match has started!";
+        std::string message("The match has started!");
         COUT(0) << message << std::endl;
         Host::Broadcast(message);
@@ -56,5 +56,5 @@
         Gametype::end();
 
-        std::string message = "The match has ended.";
+        std::string message("The match has ended.");
         COUT(0) << message << std::endl;
         Host::Broadcast(message);
@@ -65,5 +65,5 @@
         Gametype::playerEntered(player);
 
-        std::string message = player->getName() + " entered the game";
+        const std::string& message = player->getName() + " entered the game";
         COUT(0) << message << std::endl;
         Host::Broadcast(message);
@@ -76,5 +76,5 @@
         if (valid_player)
         {
-            std::string message = player->getName() + " left the game";
+            const std::string& message = player->getName() + " left the game";
             COUT(0) << message << std::endl;
             Host::Broadcast(message);
@@ -90,5 +90,5 @@
         if (valid_player)
         {
-            std::string message = player->getOldName() + " changed name to " + player->getName();
+            const std::string& message = player->getOldName() + " changed name to " + player->getName();
             COUT(0) << message << std::endl;
             Host::Broadcast(message);
@@ -126,5 +126,5 @@
         if (player)
         {
-            std::string message = player->getName() + " scores!";
+            const std::string& message = player->getName() + " scores!";
             COUT(0) << message << std::endl;
             Host::Broadcast(message);
Index: /code/branches/presentation2/src/orxonox/gametypes/Gametype.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/gametypes/Gametype.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/gametypes/Gametype.cc	(revision 6394)
@@ -71,5 +71,5 @@
 
         // load the corresponding score board
-        if (GameMode::showsGraphics() && this->scoreboardTemplate_ != "")
+        if (GameMode::showsGraphics() && !this->scoreboardTemplate_.empty())
         {
             this->scoreboard_ = new OverlayGroup(this);
Index: /code/branches/presentation2/src/orxonox/gametypes/UnderAttack.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/gametypes/UnderAttack.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/gametypes/UnderAttack.cc	(revision 6394)
@@ -69,5 +69,5 @@
     {
         this->end(); //end gametype
-        std::string message = "Ship destroyed! Team 0 has won!";
+        std::string message("Ship destroyed! Team 0 has won!");
         COUT(0) << message << std::endl;
         Host::Broadcast(message);
@@ -152,5 +152,5 @@
                 this->gameEnded_ = true;
                 this->end();
-                std::string message = "Time is up! Team 1 has won!";
+                std::string message("Time is up! Team 1 has won!");
                 COUT(0) << message << std::endl;
                 Host::Broadcast(message);
@@ -171,5 +171,5 @@
             if ( gameTime_ <= timesequence_ && gameTime_ > 0)
             {
-                std::string message = multi_cast<std::string>(timesequence_) + " seconds left!";
+                const std::string& message = multi_cast<std::string>(timesequence_) + " seconds left!";
 /*
                 COUT(0) << message << std::endl;
Index: /code/branches/presentation2/src/orxonox/graphics/Billboard.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/graphics/Billboard.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/graphics/Billboard.cc	(revision 6394)
@@ -42,5 +42,4 @@
         RegisterObject(Billboard);
 
-        this->material_ = "";
         this->colour_ = ColourValue::White;
 //        this->rotation_ = 0;
@@ -76,5 +75,5 @@
     void Billboard::changedMaterial()
     {
-        if (this->material_ == "")
+        if (this->material_.empty())
             return;
 
@@ -99,5 +98,5 @@
         {
 /*
-            if (this->getScene() && GameMode::showsGraphics() && (this->material_ != ""))
+            if (this->getScene() && GameMode::showsGraphics() && !this->material_.empty())
             {
                 this->billboard_.setBillboardSet(this->getScene()->getSceneManager(), this->material_, this->colour_, 1);
Index: /code/branches/presentation2/src/orxonox/infos/HumanPlayer.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/infos/HumanPlayer.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/infos/HumanPlayer.cc	(revision 6394)
@@ -164,5 +164,5 @@
         if (this->isInitialized() && this->isLocalPlayer())
         {
-            if (this->getGametype() && this->getGametype()->getHUDTemplate() != "")
+            if (this->getGametype() && !this->getGametype()->getHUDTemplate().empty())
                 this->setGametypeHUDTemplate(this->getGametype()->getHUDTemplate());
             else
@@ -179,5 +179,5 @@
         }
 
-        if (this->isLocalPlayer() && this->humanHudTemplate_ != "" && GameMode::showsGraphics())
+        if (this->isLocalPlayer() && !this->humanHudTemplate_.empty() && GameMode::showsGraphics())
         {
             this->humanHud_ = new OverlayGroup(this);
@@ -195,5 +195,5 @@
         }
 
-        if (this->isLocalPlayer() && this->gametypeHudTemplate_ != "")
+        if (this->isLocalPlayer() && !this->gametypeHudTemplate_.empty())
         {
             this->gametypeHud_ = new OverlayGroup(this);
Index: /code/branches/presentation2/src/orxonox/items/Engine.h
===================================================================
--- /code/branches/presentation2/src/orxonox/items/Engine.h	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/items/Engine.h	(revision 6394)
@@ -106,6 +106,4 @@
             virtual const Vector3& getDirection() const;
 
-            void loadSound(const std::string filename);
-
         private:
             void networkcallback_shipID();
Index: /code/branches/presentation2/src/orxonox/items/MultiStateEngine.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/items/MultiStateEngine.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/items/MultiStateEngine.cc	(revision 6394)
@@ -35,5 +35,4 @@
 
 #include "util/Convert.h"
-#include "util/StringUtils.h"
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
@@ -201,5 +200,5 @@
         if (effect == NULL)
             return;
-        effect->setLuaState(this->lua_, "f" + multi_cast<std::string>(this->effectContainers_.size()));
+        effect->setLuaState(this->lua_, 'f' + multi_cast<std::string>(this->effectContainers_.size()));
         this->effectContainers_.push_back(effect);
         if (this->getShip())
Index: /code/branches/presentation2/src/orxonox/overlays/InGameConsole.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/overlays/InGameConsole.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/overlays/InGameConsole.cc	(revision 6394)
@@ -318,5 +318,5 @@
             this->print(this->shell_->getInput(), Shell::Input, 0);
 
-        if (this->shell_->getInput() == "" || this->shell_->getInput().size() == 0)
+        if (this->shell_->getInput().empty())
             this->inputWindowStart_ = 0;
     }
Index: /code/branches/presentation2/src/orxonox/overlays/Map.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/overlays/Map.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/overlays/Map.cc	(revision 6394)
@@ -49,4 +49,5 @@
 #include <OgreViewport.h>
 
+#include "util/StringUtils.h"
 #include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
Index: /code/branches/presentation2/src/orxonox/overlays/OrxonoxOverlay.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 6394)
@@ -45,5 +45,4 @@
 #include "util/Convert.h"
 #include "util/Exception.h"
-#include "util/StringUtils.h"
 #include "core/GameMode.h"
 #include "core/CoreIncludes.h"
@@ -146,5 +145,5 @@
 
         if (OrxonoxOverlay::overlays_s.find(this->getName()) != OrxonoxOverlay::overlays_s.end())
-            COUT(1) << "Overlay names should be unique or you cannnot access them via console. Name: \"" << this->getName() << "\"" << std::endl;
+            COUT(1) << "Overlay names should be unique or you cannnot access them via console. Name: \"" << this->getName() << '"' << std::endl;
 
         OrxonoxOverlay::overlays_s[this->getName()] = this;
@@ -154,5 +153,5 @@
     void OrxonoxOverlay::setBackgroundMaterial(const std::string& material)
     {
-        if (this->background_ && material != "")
+        if (this->background_ && !material.empty())
             this->background_->setMaterialName(material);
     }
Index: /code/branches/presentation2/src/orxonox/pickup/DroppedItem.cc
===================================================================
--- /code/branches/presentation2/src/orxonox/pickup/DroppedItem.cc	(revision 6393)
+++ /code/branches/presentation2/src/orxonox/pickup/DroppedItem.cc	(revision 6394)
@@ -83,5 +83,5 @@
         if (this->item_)
         {
-            COUT(3) << "Delete DroppedItem with '" << this->item_->getPickupIdentifier() << "'" << std::endl;
+            COUT(3) << "Delete DroppedItem with '" << this->item_->getPickupIdentifier() << '\'' << std::endl;
             this->item_->destroy();
         }
@@ -112,5 +112,5 @@
         drop->createTimer();
 
-        COUT(3) << "Created DroppedItem for '" << item->getPickupIdentifier() << "' at (" << position.x << "," << position.y << "," << position.z << ")." << std::endl;
+        COUT(3) << "Created DroppedItem for '" << item->getPickupIdentifier() << "' at (" << position.x << ',' << position.y << ',' << position.z << ")." << std::endl;
 
         return drop;
